> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoices

> Get all invoices for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=4&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v4/invoicing/invoices
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Expenses
  - name: Revenue
  - name: Business & Client Management
  - name: Invoicing
  - name: Reports
  - name: Taxes
  - name: Accounting
  - name: Investment Incomes
paths:
  /v4/invoicing/invoices:
    get:
      tags:
        - Invoicing
      summary: Get invoices
      description: Get all invoices for the authenticated user
      operationId: getInvoicesV4
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InvoiceV4GetParam'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    InvoiceV4GetParam:
      type: object
      properties:
        id:
          type: string
          description: Invoice id of draft invoice to finalize and send
        clientId:
          type: string
          description: Client id for this invoice
        discountAmount:
          type: number
          description: >-
            The total dollar amount to be discounted (you can provide a
            discountAmount or a discountPercent, but not both, as it affects the
            format of the invoice)
          example: 30
        discountPercent:
          type: number
          description: >-
            The total percent to be discounted (you can provide a discountAmount
            or a discountPercent, but not both, as it affects the format of the
            invoice)
          example: 15
        invoiceTerm:
          type: string
          description: Invoice Term for the invoice
          example: DUE_NOW
          enum:
            - DUE_NOW
            - NET_10
            - NET_15
            - NET_30
            - NET_60
            - OTHER
        invoiceDate:
          type: string
          description: The creation date of the invoice
          format: date-time
        dueDate:
          type: string
          description: The due date of the invoice
          format: date-time
        personalNote:
          type: string
          description: An optional personal note to add to the invoice
          example: Thank you for your business.
        sendEmail:
          type: boolean
          description: If set to true, an email of the invoice will be sent to client
          example: true
        acceptCredit:
          type: boolean
          description: If set to true, the client can pay by debit/credit card
          example: true
        acceptCash:
          type: boolean
          description: If set to true, the client can pay by cash or check
          example: true
        reminderSchedule:
          type: string
          description: >-
            Comma delimited list of Payment Reminder frequencies for this
            invoice
          example: ON_DUE_DATE
          enum:
            - ON_DUE_DATE
            - THREE_DAYS_AFTER_DUE_DATE
            - EVERY_SEVEN_DAYS_AFTER_DUE_DATE
            - AFTER_TWO_MINS
        invoiceFrequency:
          type: string
          description: Invoice frequency
          example: ONE_TIME
          enum:
            - ONE_TIME
            - WEEKLY
            - BI_WEEKLY
            - MONTHLY
            - YEARLY
            - AFTER_TWO_MINS
            - ONE_TIME
            - WEEKLY
            - BI_WEEKLY
            - MONTHLY
            - YEARLY
            - AFTER_TWO_MINS
        invoiceStatus:
          type: string
          description: Status of the invoice
          enum:
            - OPEN
            - CLOSED
            - CANCELLED
            - DRAFT
            - REFUNDED
            - SCHEDULED
        emailStatus:
          type: string
          description: Status of the email of the invoice
          enum:
            - SUCCESS
            - FAILURE_TOKEN_INVALIDATED
            - FAILURE_TOKEN_POSSIBLY_EXPIRED
            - FAILURE_INVOICE_NOT_FOUND
            - FAILURE_OTHER
            - SENDING
            - NOT_SENT
            - FAILURE_BOUNCED
            - WARNING_AUTO_RESPONSE
        lastCreatedRecurringInvoice:
          type: string
          description: Date of the last created recurring invoice
          format: date-time
        parentId:
          type: string
          description: Id of parent for recurring invoices
        refundStatus:
          type: string
          description: Status of the refund corresponding to this invoice
          enum:
            - PENDING
            - SUCCEEDED
            - FAILED
            - UNKNOWN
        emailErrors:
          $ref: '#/components/schemas/JSONArray'
        sentDate:
          type: string
          description: Date the invoice was sent
          format: date-time
        acceptACH:
          type: boolean
          description: If set to true, the client can pay by bank account
          example: true
        recurringParent:
          type: boolean
          description: Whether this invoice is a recurring parent
      xml:
        name: InvoiceV4GetParam
    JSONArray:
      type: object
      properties:
        empty:
          type: boolean
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````